--急速守备
function c87592022.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetCategory(CATEGORY_POSITION)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_BE_BATTLE_TARGET)
	e1:SetCondition(c87592022.condition)
	e1:SetTarget(c87592022.target)
	e1:SetOperation(c87592022.operation)
	c:RegisterEffect(e1)

end
function c87592022.condition(e,tp,eg,ep,ev,re,r,rp)
	return Duel.GetTurnPlayer()~=tp
end
function c87592022.target(e,tp,eg,ep,ev,re,r,rp,chk)
	local tc=eg:GetFirst()
	if chk==0 then return tc:IsOnField() and tc:IsAttackPos() end
end
function c87592022.operation(e,tp,eg,ep,ev,re,r,rp)
	Duel.ChangePosition(eg,POS_FACEUP_DEFENSE)
end